import { ParkingSpot } from '@bringg/types';
import { DataOptions } from '../../data-entity';
import Session from '../../Services/Identity/Session';
export default class ParkingSpotApiV2 {
    private readonly parkingSpotApiStore;
    private readonly parkingSpotService;
    private readonly storableDataService;
    constructor(session: Session);
    loadAll(options?: DataOptions): Promise<ParkingSpot[]>;
    get(id: number): ParkingSpot;
    getAll(): ParkingSpot[];
}
